@import "../../styles/colors.scss";
@import "../../styles/fonts.scss";
@import "../../styles/responsive.scss";

.Journal {
  min-height: 80vh;
  padding: 5rem 1.8rem 3rem;
  position: relative;
  @include tablet {
    padding: 5rem 9rem 3rem;
  }
  @include desktop {
    padding: 5rem 19rem 3rem;
  }
  &__title {
    font-family: $titleFont;
    font-size: 2.3rem;
  }
  &__no-dreams {
    font-style: italic;
  }
  &__message {
    margin: 3rem 0 0.2rem;
  }
  &__calendar-dream {
    border-bottom: 1px solid #d4cedf;
    padding: 1rem 0;
    &:last-of-type {
      border: none;
    }
  }
  &__dream-description {
    text-align: justify;
    line-height: 1.3rem;
    margin-top: 1rem;
  }
  &__buttons {
    display: flex;
    &__btn {
      border-style: none;
      padding: 0.5rem;
      border-radius: 3px;
      .Journal__buttons__link {
        text-decoration: none;
        color: $secondaryColor;
      }
      &:first-child {
        margin-right: 0.2rem;
        background-color: $primaryColor;
        &:hover {
          background-color: $editDreamHover;
        }
      }
      &:last-child {
        margin-left: 0.2rem;
        background-color: $fourthColor;
        color: $primaryColor;
        &:hover {
          border: 1px solid $primaryColor;
          background-color: transparent;
        }
      }
    }
  }
  &__quartz-left {
    position: absolute;
    width: 8%;
    top: 95px;
    left: 60px;
    transform: rotate(20deg);
    @include tablet {
      position: absolute;
      width: 8%;
      top: 85px;
      left: 80px;
      transform: rotate(20deg);
    }
    @include desktop {
      position: absolute;
      width: 8%;
      top: 85px;
      left: 100px;
      transform: rotate(20deg);
    }
  }
  &__quartz-right {
    position: absolute;
    width: 8%;
    top: 97px;
    right: 64px;
    transform: rotate(-20deg);
    @include tablet {
      position: absolute;
      width: 8%;
      top: 85px;
      right: 88px;
      transform: rotate(-20deg);
    }
    @include desktop {
    }
  }
}
.react-datepicker {
  width: 100%;
  font-family: $bodyFont;
  border: 1px solid $thirdColor;
}
.react-datepicker__header {
  background-color: $primaryColor;
  border: none;
}
.react-datepicker__current-month,
.react-datepicker-time__header,
.react-datepicker-year-header {
  color: $secondaryColor;
}
.react-datepicker__month-container {
  width: 100%;
}
.react-datepicker__day-name,
.react-datepicker__day,
.react-datepicker__time-name {
  width: 12.3%;
}
.react-datepicker__day-name {
  color: $secondaryColor;
}
.react-datepicker__day,
.react-datepicker__time-name {
  color: $primaryColor;
}

.react-datepicker__day,
.react-datepicker__time-name {
  color: $primaryColor;
}
.react-datepicker__day-name,
.react-datepicker__day,
.react-datepicker__time-name {
  width: 12.3%;
}
.react-datepicker__day--selected,
.react-datepicker__day--in-selecting-range,
.react-datepicker__day--in-range,
.react-datepicker__month-text--selected,
.react-datepicker__month-text--in-selecting-range,
.react-datepicker__month-text--in-range,
.react-datepicker__quarter-text--selected,
.react-datepicker__quarter-text--in-selecting-range,
.react-datepicker__quarter-text--in-range,
.react-datepicker__year-text--selected,
.react-datepicker__year-text--in-selecting-range,
.react-datepicker__year-text--in-range {
  background-color: $primaryColor !important;
  color: $secondaryColor !important;
}
.react-datepicker__navigation--next {
  color: $fourthColor !important;
}
.react-datepicker__day--keyboard-selected,
.react-datepicker__month-text--keyboard-selected,
.react-datepicker__quarter-text--keyboard-selected,
.react-datepicker__year-text--keyboard-selected {
  background-color: $primaryColor !important;
  color: $secondaryColor !important;
}
